package com.dcsoft.system.visitor.mapper;

import com.dcsoft.system.visitor.domain.*;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface VisCarryStuffMapper {

    List<VisExitOutVo> selectList(VisExitOutVo vo);

    void insertVisExitOut(VisExitOutVo vo);

    VisExitOutVo selectVisExitOutById(Long id);

    CheckCodeVo selectStuffCheckCode(@Param("exitId") Long id);

    void updateStaff(VisExitOutVo vo);

    List<VisitorReviewProcessVo> queryVisitorReviewProcessList(Long id);

    void saveVisitorReviewProcess(VisExitOutVo vo);

    VisitorReviewProcessVo queryReviewProcessNew(VisitorReviewProcessVo stuffVo);

    void insertVisStuffInfo(@Param("list") List<VisStuffInfoVo> visStuffInfoList);

    List<VisStuffInfoVo> selectStuffList(VisStuffInfoVo visStuffInfoVo);

    List<VisStuffInfoExportVo> selectVisitorList(VisExitOutVo vo);

    void saveVisitorReviewProcessList(List<VisExitOutVo> list);

    VisitorReviewProcessVo selectVisitorReviewProcessOne(VisitorReviewProcessVo reviewProcessVo);

    void updateVisitorReviewProcessById(VisitorReviewProcessVo reviewProcess);

    void deleteVisitorReviewProcess(Long id);

    List<Long> selectexpireVisCarryStuff(Date dateTime);

    void updateStaffState(VisExitOutVo visExitOutVo);

    List<VisExitOutVo> queryReviewList(Long peopleId);

    VisitorReviewProcessVo queryReviewProcess(VisitorReviewProcessVo visitorReviewProcessVo);
}
